module.exports = {
  root: true,
  env: {
    node: true,
  },
  ignorePatterns: ["node_modules", "build", "coverage"],
  plugins: ["eslint-comments", "functional"],
  extends: [
    "plugin:vue/essential",
    "eslint:recommended",
    "@vue/typescript/recommended",
    "@vue/prettier",
    "@vue/prettier/@typescript-eslint",
  ],
  parserOptions: {
    ecmaVersion: 2020,
  },
  rules: {
    "@typescript-eslint/explicit-module-boundary-types": "off",
      "eslint-comments/disable-enable-pair": [
        "error",
        { "allowWholeFile": true }
      ],
    "no-console": process.env.NODE_ENV === "production" ? "warn" : "off",
    "no-debugger": process.env.NODE_ENV === "production" ? "warn" : "off",
  },
};
